def keys_match(actual, expected)
  expected.keys.each do |key|
    return false unless actual.keys.include?(key)
    return false unless keys_match(actual[key], expected[key]) if expected[key].kind_of?(Hash)
  end
end

RSpec::Matchers.define :match_keys_to do |expected|
  match do |actual|
    return false unless actual.kind_of? Hash
    return false unless expected.kind_of? Hash
    keys_match(actual, expected)
  end

  failure_message do |actual|
    if actual.kind_of?(Hash) && expected.kind_of?(Hash)
      "expected that #{actual} would match the keys of #{expected}"
    else
      "actual and expected should be a kind of Hash"
    end
  end
end
