require 'spec_helper'
describe Mail2cb::EmailContent do

  it "parses html content" do
    email = Mail.new(sample_mail("reply"))
    content = Mail2cb::EmailContent.new(email)
    expect(content.html).to include "<html"
  end
  it "parses text content" do
    email = Mail.new(sample_mail("reply"))
    content = Mail2cb::EmailContent.new(email)
    expect(content.text).to_not include "<html"
  end
  it "favours html over text" do
    email = Mail.new(sample_mail("reply"))
    content = Mail2cb::EmailContent.new(email)
    expect(content.body).to eq content.html
  end

  it "handles multipart_related" do
    email = Mail.new(sample_mail("reply_message_id_in_body"))
    content = Mail2cb::EmailContent.new(email)
    expect(content.html).to_not be_nil
  end


end
