require_relative '../test_helper'

class MessageHandlerTest < MiniTest::Unit::TestCase
  def setup
    ENV['CB_API_ENDPOINT'] = 'https://cb.local/'
    ENV['CB_API_TOKEN'] = '1234'
  end
  def test_invalid_construction
    ENV['AWS_ACCESS_KEY'] = nil
    ENV['AWS_SECRET_ACCESS_KEY'] = nil
    ENV['CB_API_ENDPOINT'] = nil
    ENV['CB_API_TOKEN'] = nil
    assert_raises(RuntimeError) { mail2cb::OrderHandler.new }
  end
  def test_valid_construction
    ENV['AWS_ACCESS_KEY'] = 'access'
    ENV['AWS_SECRET_ACCESS_KEY'] = 'secret'
    refute_nil mail2cb::OrderHandler.new
  end
  def test_basic_sqs_connectivity
    oh = mail2cb::OrderHandler.new
    result = oh.send_orders

  end
end
